import type { RouteRecordRaw } from 'vue-router'

import AppLayout from '@/components/layout/Index.vue'
import HRLayout from '@/components/HRLayout.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/hr/alumni',
    component: HRLayout,
    children: [
      {
        path: '',
        component: () => import('./views/List.vue')
      }
    ]
  },
  {
    path: '/hr/alumni',
    component: AppLayout,
    children: [
      {
        path: 'view/:id',
        component: () => import('./views/View.vue'),
        props: true
      }
    ]
  }
]
