import httpRequest from '@/utils/axios'
import type { CompanyType } from './types'

// 更新企业信息
export function updateCompany(data: CompanyType) {
  return httpRequest.post('/api/hr/api/v1/company/commit', data)
}
// 获取登录用户的企业详情
export function getMyCompany() {
  return httpRequest.get('/api/hr/api/v1/company/login-user-company')
}

// 获取企业详情
export function getCompany(params: { id: string }) {
  return httpRequest.get(`/api/hr/api/v1/company/${params.id}`, { params })
}
